%global appname org.gnome.Characters
%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		gnome-characters
Version:	3.34.0
Release:	%mkrel 1
Summary:	Character map application for GNOME
# Files from gtk-js-app are licensed under 3-clause BSD.
# Other files are GPL 2.0 or later.
License:	BSD and GPLv2+
URL:		https://wiki.gnome.org/Design/Apps/CharacterMap
Group:		Graphical desktop/GNOME
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz

# This package uses GtkWidget template, which was added in Gjs 1.43.3.
BuildRequires:	pkgconfig(gjs-1.0) >= 1.43.3
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	gettext
BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(appstream-glib)
BuildRequires:	gobject-introspection-devel
BuildRequires:	desktop-file-utils
BuildRequires:	libunistring-devel
BuildRequires:	meson
Requires:	gjs >= 1.43.3

# This package contains libunistring modules from Gnulib.  If a recent
# enough version of libunistring is installed on the system, it will
# be used instead.  However, as of today, the libunistring package in
# F22 is older and we try to avoid unnecessary dependency.

# BuildRequires:	   libunistring-devel
Provides:	bundled(gnulib)

%description
Characters is a simple utility application to find and insert unusual
characters.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

desktop-file-install --dir %{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/*.desktop

%find_lang %{appname}

%files -f %{appname}.lang
%doc NEWS
%license COPYING COPYINGv2
%{_bindir}/%{name}
%{_datadir}/dbus-1/services/%{appname}.BackgroundService.service
%{_datadir}/applications/%{appname}.desktop
%{_datadir}/dbus-1/services/%{appname}.service
%{_datadir}/glib-2.0/schemas/%{appname}.gschema.xml
%{_iconsdir}/hicolor/scalable/apps/%{appname}.svg
%{_iconsdir}/hicolor/symbolic/apps/%{appname}-symbolic.svg
%{_datadir}/%{appname}
%{_datadir}/gnome-shell/search-providers/%{appname}.search-provider.ini
%{_datadir}/metainfo/%{appname}.appdata.xml
%{_libdir}/%{appname}


%changelog
* Thu Feb 27 2020 ovitters <ovitters> 3.34.0-1.mga8
+ Revision: 1551098
- new version 3.34.0

* Sat Feb 15 2020 umeabot <umeabot> 3.32.1-3.mga8
+ Revision: 1525441
- Mageia 8 Mass Rebuild

* Wed Apr 17 2019 umeabot <umeabot> 3.32.1-2.mga7
+ Revision: 1392306
- Rebuild with meson 0.50.1

* Mon Apr 08 2019 ovitters <ovitters> 3.32.1-1.mga7
+ Revision: 1386750
- new version 3.32.1

* Fri Mar 15 2019 daviddavid <daviddavid> 3.32.0-1.mga7
+ Revision: 1377403
- new version 3.32.0

* Tue Oct 09 2018 ovitters <ovitters> 3.30.0-1.mga7
+ Revision: 1319084
- new version 3.30.0

* Sun Sep 23 2018 umeabot <umeabot> 3.29.91-2.mga7
+ Revision: 1297951
- Mageia 7 Mass Rebuild

* Mon Aug 20 2018 ovitters <ovitters> 3.29.91-1.mga7
+ Revision: 1253182
- new version 3.29.91

* Mon May 07 2018 ovitters <ovitters> 3.28.2-1.mga7
+ Revision: 1226924
- new version 3.28.2

* Mon Mar 12 2018 tv <tv> 3.28.0-1.mga7
+ Revision: 1208469
- new release

* Mon Oct 30 2017 ovitters <ovitters> 3.26.2-1.mga7
+ Revision: 1174996
- new version 3.26.2

* Wed Oct 04 2017 ovitters <ovitters> 3.26.1-1.mga7
+ Revision: 1168750
- new version 3.26.1

* Fri Sep 22 2017 tv <tv> 3.25.92-1.mga7
+ Revision: 1157068
- adjust filelist
+ ovitters <ovitters>
- new version 3.25.92

* Tue Aug 22 2017 ovitters <ovitters> 3.24.0-1.mga7
+ Revision: 1142796
- new version 3.24.0

* Tue Sep 20 2016 ovitters <ovitters> 3.22.0-1.mga6
+ Revision: 1054654
- new version 3.22.0
- new version 3.21.91.1

* Sun Apr 10 2016 ovitters <ovitters> 3.20.1-1.mga6
+ Revision: 999972
- new version 3.20.1

* Mon Mar 21 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 993776
- new version 3.20.0

* Sun Mar 13 2016 ovitters <ovitters> 3.19.92-1.mga6
+ Revision: 990138
- new version 3.19.92

* Mon Feb 15 2016 ovitters <ovitters> 3.19.90-1.mga6
+ Revision: 960772
- new version 3.19.90

* Mon Dec 21 2015 tv <tv> 3.19.3-1.mga6
+ Revision: 912821
- new release

* Sun Nov 29 2015 neoclust <neoclust> 3.18.1-2.mga6
+ Revision: 906984
- Rebuild for ARM

* Sat Nov 28 2015 tv <tv> 3.18.1-1.mga6
+ Revision: 906868
- adjust file list
+ ovitters <ovitters>
- new version 3.18.1

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 882734
- new release

* Mon Aug 31 2015 ovitters <ovitters> 3.17.91-2.mga6
+ Revision: 871596
- rebuild to pick up gjs

* Mon Aug 31 2015 fwang <fwang> 3.17.91-1.mga6
+ Revision: 871468
- fix desktop file
+ ovitters <ovitters>
- new version 3.17.91

* Sun Aug 30 2015 ovitters <ovitters> 3.17.90-1.mga6
+ Revision: 871260
- fix group
- clean spec
- from fedora


* Fri Aug 21 2015 Matthias Clasen <mclasen@redhat.com> - 3.17.90-2
- Force-update the icon cache for the gnome theme. This is necessary
  because icons were moved from gnome to hicolor, and if we don't update
  the gnome icon cache, it hides the icons in lower hicolor theme.
  This is a one-shot fix, and should be removed in the next package
  update.

* Tue Aug 18 2015 Kalev Lember <klember@redhat.com> - 3.17.90-1
- Update to 3.17.90

* Wed Jul 29 2015 Daiki Ueno <dueno@redhat.com> - 3.17.4.1-1
- Update to 3.17.4.1

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.16.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue May 12 2015 Kalev Lember <kalevlember@gmail.com> - 3.16.2-1
- Update to 3.16.2

* Tue Apr 14 2015 Kalev Lember <kalevlember@gmail.com> - 3.16.1-1
- Update to 3.16.1

* Mon Mar 23 2015 Kalev Lember <kalevlember@gmail.com> - 3.16.0-1
- Update to 3.16.0

* Tue Mar 17 2015 Daiki Ueno <dueno@redhat.com> - 3.15.92-1
- Initial packaging for Fedora
